<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcCommandInput Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcCommandInput Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcCommandInput" --><!-- doxytag: inherits="iBase" -->
<p>Input propery class.  
 <a href="structiPcCommandInput.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="input_8h_source.html">propclass/input.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcCommandInput:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcCommandInput.png" usemap="#iPcCommandInput_map" alt=""/>
  <map id="iPcCommandInput_map" name="iPcCommandInput_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,112,24"/>
</map>
 </div></div>

<p><a href="structiPcCommandInput-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a10455cb15dd2925bb181019348789668">Activate</a> (bool activate=true)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Activates this input property class.  <a href="#a10455cb15dd2925bb181019348789668"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#aee8718df1f1f1f0f8275f1169c1bf3fb">Bind</a> (const char *triggername, const char *command)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Binds a trigger to a command.  <a href="#aee8718df1f1f1f0f8275f1169c1bf3fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a5cf4e27b34bff47c64755eca16f981ee">CenteredToScreen</a> (float centeredcoord, float axis=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a coordinate from a value between -1 and 1 to screen-space.  <a href="#a5cf4e27b34bff47c64755eca16f981ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a08a39541961394f4d2bd78b74b458569">DisableJoystickEvents</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable capturing of joystick events.  <a href="#a08a39541961394f4d2bd78b74b458569"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a23f84107de1912fefdf6b3872e824561">DisableKeyboardEvents</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable capturing of keyboard events.  <a href="#a23f84107de1912fefdf6b3872e824561"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a529f3acd97e9dabd5ad2ff1894476794">DisableMouseEvents</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable capturing of mouse events.  <a href="#a529f3acd97e9dabd5ad2ff1894476794"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a28abb5abba1ccce530540cb4e8056ea6">EnableJoystickEvents</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable capturing of joystick events.  <a href="#a28abb5abba1ccce530540cb4e8056ea6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a0d26d82194a6b22f6d8501e4bca4b81b">EnableKeyboardEvents</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable capturing of keyboard events.  <a href="#a0d26d82194a6b22f6d8501e4bca4b81b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#ac5da33daa01a96427890f47328197cbd">EnableMouseEvents</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable capturing of mouse events.  <a href="#ac5da33daa01a96427890f47328197cbd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a2baa7df6e7cf5d936024fd98ea6bc9e6">GetBind</a> (const char *triggername) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the command bound to the given key.  <a href="#a2baa7df6e7cf5d936024fd98ea6bc9e6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a1467dbf47394bc873e1308f76a1d6e68">GetCookedMode</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get whether or not this property class is in cooked mode.  <a href="#a1467dbf47394bc873e1308f76a1d6e68"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a00f03e40f31ae1454801a5c554e26c42">IsSendTriggerEnabled</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Is send trigger enabled or disabled?  <a href="#a00f03e40f31ae1454801a5c554e26c42"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#ac8f1c49d631b6ae05d2b1905457360b8">LoadConfig</a> (const char *prefix)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads from a config file binding triggers(for example keys) to commands.  <a href="#ac8f1c49d631b6ae05d2b1905457360b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#aeac12bb61088c945c3da288a8b6b77b8">RemoveAllBinds</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes all binds.  <a href="#aeac12bb61088c945c3da288a8b6b77b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a8a7b076a802ce4f4d4c62723f67a3a00">RemoveBind</a> (const char *triggername, const char *command)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes a bind.  <a href="#a8a7b076a802ce4f4d4c62723f67a3a00"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a85859c7191ca2b7a0b0b150791533290">SaveConfig</a> (const char *prefix)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves to a config file binding triggers(for example keys) to commands.  <a href="#a85859c7191ca2b7a0b0b150791533290"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#aaf5ba714f8082294c28ea9621fb5d34e">ScreenCoordinates</a> (bool screen=true)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Send screen coordinates instead of coordinates between -1 and 1 for axis movement messages.  <a href="#aaf5ba714f8082294c28ea9621fb5d34e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a3beb5793d0086d6cb141013a38882405">ScreenToCentered</a> (float screencoord, float axis=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a coordinate from screen-space to a value between -1 and 1.  <a href="#a3beb5793d0086d6cb141013a38882405"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#aac16ee5acf3f980493e598fc5961aec3">SetCookedMode</a> (bool cooked)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/disable cooked mode.  <a href="#aac16ee5acf3f980493e598fc5961aec3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcCommandInput.html#a7d55029174ae48c5a2e894a20b13f2ce">SetSendTrigger</a> (bool send)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/disable sending trigger name.  <a href="#a7d55029174ae48c5a2e894a20b13f2ce"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Input propery class. </p>
<p>This property class supports the following actions (add prefix 'cel.commandinput.action.' if you want to access this action through a message):</p>
<ul>
<li>Activate: parameter 'activate' (bool default=true).</li>
<li>Bind: parameters 'trigger' (string) and 'command' (string). The 'trigger' can be equal to 'key' in which cases all keys will be bound. Also .args can be appended to the command name, to receive key/button state in message arguments, instead of in message name.</li>
<li>RemoveBind: paramaters 'trigger' (string) and 'command' (string).</li>
<li>RemoveAllBinds.</li>
<li>LoadConfig: parameters 'prefix' (string).</li>
<li>SaveConfig: parameters 'prefix' (string).</li>
</ul>
<p>This property class can send out the following messages to the behaviour:</p>
<ul>
<li>'cel.input.&lt;key&gt;' (old 'pccommandinput_&lt;key&gt;'): key event. Message receives 'state' parameter filled with values from celKeyState enum. Also has optional 'trigger' parameter. This is received instead of the other key messages below depending on '.args' suffix on command specification (see above).</li>
<li>'cel.input.&lt;key&gt;.up' (old 'pccommandinput_&lt;key&gt;0'): key is unpressed. Message has optional 'trigger' parameter.</li>
<li>'cel.input.&lt;key&gt;.down' (old 'pccommandinput_&lt;key&gt;1'): key is pressed. Message has optional 'trigger' parameter.</li>
<li>'cel.input.&lt;key&gt;.repeat' (old 'pccommandinput_&lt;key&gt;_'): key is pressed and auto-repeating. Message has optional 'trigger' parameter.</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>screenspace (bool, read/write): use screenspace instead of -1/1 normalized coordinates (default is -1/1).</li>
<li>cooked (bool, read/write): use cooked mode instead of raw (default is raw).</li>
<li>sendtrigger (bool, read/write): send out trigger name in the message to the behaviour. (default is false).</li>
</ul>
<p>Config file format: &lt;prefix&gt;.Input.Bind.&lt;command&gt; = &lt;trigger&gt; [trigger2] [triggerN..] </p>

<p>Definition at line <a class="el" href="input_8h_source.html#l00077">77</a> of file <a class="el" href="input_8h_source.html">input.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a10455cb15dd2925bb181019348789668"></a><!-- doxytag: member="iPcCommandInput::Activate" ref="a10455cb15dd2925bb181019348789668" args="(bool activate=true)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#a10455cb15dd2925bb181019348789668">iPcCommandInput::Activate</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>activate</em> = <code>true</code></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Activates this input property class. </p>
<p>When activated, it will catch input events and send command messages. </p>

</div>
</div>
<a class="anchor" id="aee8718df1f1f1f0f8275f1169c1bf3fb"></a><!-- doxytag: member="iPcCommandInput::Bind" ref="aee8718df1f1f1f0f8275f1169c1bf3fb" args="(const char *triggername, const char *command)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCommandInput.html#aee8718df1f1f1f0f8275f1169c1bf3fb">iPcCommandInput::Bind</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>triggername</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>command</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Binds a trigger to a command. </p>
<p>The triggername can be equal to 'key' in which case all keys will be bound. </p>

</div>
</div>
<a class="anchor" id="a5cf4e27b34bff47c64755eca16f981ee"></a><!-- doxytag: member="iPcCommandInput::CenteredToScreen" ref="a5cf4e27b34bff47c64755eca16f981ee" args="(float centeredcoord, float axis=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcCommandInput.html#a5cf4e27b34bff47c64755eca16f981ee">iPcCommandInput::CenteredToScreen</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>centeredcoord</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>axis</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a coordinate from a value between -1 and 1 to screen-space. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">centeredcoord</td><td>a value between -1 and 1 </td></tr>
    <tr><td class="paramname">axis</td><td>the screen axis to use for the conversion (0 = x, 1 = y) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a08a39541961394f4d2bd78b74b458569"></a><!-- doxytag: member="iPcCommandInput::DisableJoystickEvents" ref="a08a39541961394f4d2bd78b74b458569" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#a08a39541961394f4d2bd78b74b458569">iPcCommandInput::DisableJoystickEvents</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Disable capturing of joystick events. </p>

</div>
</div>
<a class="anchor" id="a23f84107de1912fefdf6b3872e824561"></a><!-- doxytag: member="iPcCommandInput::DisableKeyboardEvents" ref="a23f84107de1912fefdf6b3872e824561" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#a23f84107de1912fefdf6b3872e824561">iPcCommandInput::DisableKeyboardEvents</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Disable capturing of keyboard events. </p>

</div>
</div>
<a class="anchor" id="a529f3acd97e9dabd5ad2ff1894476794"></a><!-- doxytag: member="iPcCommandInput::DisableMouseEvents" ref="a529f3acd97e9dabd5ad2ff1894476794" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#a529f3acd97e9dabd5ad2ff1894476794">iPcCommandInput::DisableMouseEvents</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Disable capturing of mouse events. </p>

</div>
</div>
<a class="anchor" id="a28abb5abba1ccce530540cb4e8056ea6"></a><!-- doxytag: member="iPcCommandInput::EnableJoystickEvents" ref="a28abb5abba1ccce530540cb4e8056ea6" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#a28abb5abba1ccce530540cb4e8056ea6">iPcCommandInput::EnableJoystickEvents</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable capturing of joystick events. </p>

</div>
</div>
<a class="anchor" id="a0d26d82194a6b22f6d8501e4bca4b81b"></a><!-- doxytag: member="iPcCommandInput::EnableKeyboardEvents" ref="a0d26d82194a6b22f6d8501e4bca4b81b" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#a0d26d82194a6b22f6d8501e4bca4b81b">iPcCommandInput::EnableKeyboardEvents</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable capturing of keyboard events. </p>

</div>
</div>
<a class="anchor" id="ac5da33daa01a96427890f47328197cbd"></a><!-- doxytag: member="iPcCommandInput::EnableMouseEvents" ref="ac5da33daa01a96427890f47328197cbd" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#ac5da33daa01a96427890f47328197cbd">iPcCommandInput::EnableMouseEvents</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable capturing of mouse events. </p>

</div>
</div>
<a class="anchor" id="a2baa7df6e7cf5d936024fd98ea6bc9e6"></a><!-- doxytag: member="iPcCommandInput::GetBind" ref="a2baa7df6e7cf5d936024fd98ea6bc9e6" args="(const char *triggername) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcCommandInput.html#a2baa7df6e7cf5d936024fd98ea6bc9e6">iPcCommandInput::GetBind</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>triggername</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the command bound to the given key. </p>

</div>
</div>
<a class="anchor" id="a1467dbf47394bc873e1308f76a1d6e68"></a><!-- doxytag: member="iPcCommandInput::GetCookedMode" ref="a1467dbf47394bc873e1308f76a1d6e68" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCommandInput.html#a1467dbf47394bc873e1308f76a1d6e68">iPcCommandInput::GetCookedMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get whether or not this property class is in cooked mode. </p>
<p>See SetCookedMode for more information. </p>

</div>
</div>
<a class="anchor" id="a00f03e40f31ae1454801a5c554e26c42"></a><!-- doxytag: member="iPcCommandInput::IsSendTriggerEnabled" ref="a00f03e40f31ae1454801a5c554e26c42" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCommandInput.html#a00f03e40f31ae1454801a5c554e26c42">iPcCommandInput::IsSendTriggerEnabled</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Is send trigger enabled or disabled? </p>

</div>
</div>
<a class="anchor" id="ac8f1c49d631b6ae05d2b1905457360b8"></a><!-- doxytag: member="iPcCommandInput::LoadConfig" ref="ac8f1c49d631b6ae05d2b1905457360b8" args="(const char *prefix)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCommandInput.html#ac8f1c49d631b6ae05d2b1905457360b8">iPcCommandInput::LoadConfig</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>prefix</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Loads from a config file binding triggers(for example keys) to commands. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">prefix</td><td>for the &lt;prefix&gt;.CommandInput.Bind.&lt;trigger&gt; </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aeac12bb61088c945c3da288a8b6b77b8"></a><!-- doxytag: member="iPcCommandInput::RemoveAllBinds" ref="aeac12bb61088c945c3da288a8b6b77b8" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#aeac12bb61088c945c3da288a8b6b77b8">iPcCommandInput::RemoveAllBinds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Deletes all binds. </p>

</div>
</div>
<a class="anchor" id="a8a7b076a802ce4f4d4c62723f67a3a00"></a><!-- doxytag: member="iPcCommandInput::RemoveBind" ref="a8a7b076a802ce4f4d4c62723f67a3a00" args="(const char *triggername, const char *command)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcCommandInput.html#a8a7b076a802ce4f4d4c62723f67a3a00">iPcCommandInput::RemoveBind</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>triggername</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>command</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Deletes a bind. </p>
<p>If triggername is 0, all binds to the given command are deleted. </p>

</div>
</div>
<a class="anchor" id="a85859c7191ca2b7a0b0b150791533290"></a><!-- doxytag: member="iPcCommandInput::SaveConfig" ref="a85859c7191ca2b7a0b0b150791533290" args="(const char *prefix)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#a85859c7191ca2b7a0b0b150791533290">iPcCommandInput::SaveConfig</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>prefix</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Saves to a config file binding triggers(for example keys) to commands. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">prefix</td><td>for the &lt;prefix&gt;.CommandInput.Bind.&lt;trigger&gt; </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aaf5ba714f8082294c28ea9621fb5d34e"></a><!-- doxytag: member="iPcCommandInput::ScreenCoordinates" ref="aaf5ba714f8082294c28ea9621fb5d34e" args="(bool screen=true)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#aaf5ba714f8082294c28ea9621fb5d34e">iPcCommandInput::ScreenCoordinates</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>screen</em> = <code>true</code></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Send screen coordinates instead of coordinates between -1 and 1 for axis movement messages. </p>

</div>
</div>
<a class="anchor" id="a3beb5793d0086d6cb141013a38882405"></a><!-- doxytag: member="iPcCommandInput::ScreenToCentered" ref="a3beb5793d0086d6cb141013a38882405" args="(float screencoord, float axis=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcCommandInput.html#a3beb5793d0086d6cb141013a38882405">iPcCommandInput::ScreenToCentered</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>screencoord</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>axis</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a coordinate from screen-space to a value between -1 and 1. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">screencoord</td><td>the coordinate in screen-space </td></tr>
    <tr><td class="paramname">axis</td><td>the screen axis to use for the conversion (0 = x, 1 = y) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aac16ee5acf3f980493e598fc5961aec3"></a><!-- doxytag: member="iPcCommandInput::SetCookedMode" ref="aac16ee5acf3f980493e598fc5961aec3" args="(bool cooked)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#aac16ee5acf3f980493e598fc5961aec3">iPcCommandInput::SetCookedMode</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>cooked</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable/disable cooked mode. </p>
<p>By default raw mode is used which means that keyboard events are parsed in raw mode. That implies the following:</p>
<ul>
<li>You can't bind on key combinations like Shift-F3</li>
<li>Binding on 'a' is the same as 'A'. In cooked mode you can bind on key combinations and on keys like 'shift'. </li>
</ul>

</div>
</div>
<a class="anchor" id="a7d55029174ae48c5a2e894a20b13f2ce"></a><!-- doxytag: member="iPcCommandInput::SetSendTrigger" ref="a7d55029174ae48c5a2e894a20b13f2ce" args="(bool send)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcCommandInput.html#a7d55029174ae48c5a2e894a20b13f2ce">iPcCommandInput::SetSendTrigger</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>send</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable/disable sending trigger name. </p>
<p>When this is enabled this property class will add a 'trigger' parameter to all keyboard messages. That parameter will be the name of the keyboard event that triggered the message. By default this is disabled. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="input_8h_source.html">input.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
